﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TestForm
{
    public partial class frmSample : Form
    {
        public frmSample()
        {
            InitializeComponent();
        }

        private void btnHash_Click(object sender, EventArgs e)
        {
            using (ImageCompareLibrary.ImageCompareLibrary objImageCompareLibrary = new ImageCompareLibrary.ImageCompareLibrary())
            {
                try
                {
                    txtHash.Text = "";
                    System.Collections.BitArray objBitArray = objImageCompareLibrary.ImageHash(txtFilePath.Text);
                    foreach(bool bolBit in objBitArray)
                    {
                        if(bolBit == true)
                        {
                            txtHash.Text += '1';
                        }
                        else
                        {
                            txtHash.Text += '0';
                        }
                    }
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }
        }

        private void btnCompare_Click(object sender, EventArgs e)
        {
            using (ImageCompareLibrary.ImageCompareLibrary objImageCompareLibrary = new ImageCompareLibrary.ImageCompareLibrary())
            {
                try
                {
                    txtCompare.Text = "";
                    double dblCompare = objImageCompareLibrary.ImageCompare(txtFilePath1.Text, txtFilePath2.Text);
                    txtCompare.Text = Math.Round(dblCompare * 100, 2, MidpointRounding.AwayFromZero).ToString() + '%';
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message);
                }
            }
        }
    }
}
